Bug 1255886 - 'bash --help' should mention how to report bugs
'bash --help' should mention how to report bugs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
24
All Linux
medium Severity low
: ---
: ---
Assigned To: Siteshwar Vashisht
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-21 15:05 EDT by Eric Blake
Modified: 2017-04-19 13:01 EDT (History)
2 users (show)

See Also:
Fixed In Version: bash-4.4.12-2.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-19 13:01:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Blake 2015-08-21 15:05:56 EDT
Description of problem:
Upstream 'bash --help' follows GNU Coding Standards, by telling the user how to report bugs.  Building from bash.git, I see:
$ ./bash --version |head -n1
GNU bash, version 4.4.0(4)-devel (x86_64-unknown-linux-gnu)
$ ./bash --help |tail -n2
Type `./bash -c help' for more information about shell builtin commands.
Use the `bashbug' command to report bugs.

But downstream INTENTIONALLY CRIPPLES this message:
$ bash --version |head -n1
GNU bash, version 4.3.39(1)-release (x86_64-redhat-linux-gnu)
$ bash --help |tail -n2
Type `bash -c "help set"' for more information about shell options.
Type `bash -c help' for more information about shell builtin commands.

Version-Release number of selected component (if applicable):
bash-4.3.39-6.fc22.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Try to figure out where to report bash bugs, by reading 'bash --help'
2.
3.

Actual results:
The upstream message is gone, and nothing takes its place.


Expected results:
I don't care if you don't want me using 'bashbug' and would rather me report bugs here first, so that you can then triage whether they are upstream or downstream issues. But PLEASE put something in place of the upstream message, rather than deleting the upstream message altogether, such as a link to downstream bugzilla.


Additional info:
Comment 1 Ondrej Oprala 2015-08-24 02:05:58 EDT
You've stumbled upon something archaic here. I dug this up in the logs:

   Tue Sep 07 2004 Tim Waugh <twaugh@redhat.com> 3.0-12
    - Remove 'bashbug' from the documentation, because we don't ship it due to
        biarch concerns.

I'll revert it.
Comment 3 Fedora End Of Life 2016-07-19 13:36:59 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 David Kaspar [Dee'Kej] 2016-07-20 06:20:46 EDT
I'm reopening this BZ, because this is something we should look into at some point.

Reason: Because of ownership transfer of bash that has happened this year, there was no time to look into all BZs properly...
Comment 5 Fedora Update System 2017-04-18 07:21:35 EDT
bash-4.4.12-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8fbc3ac7a8
Comment 6 Fedora Update System 2017-04-18 15:54:28 EDT
bash-4.4.12-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8fbc3ac7a8
Comment 7 Fedora Update System 2017-04-19 13:01:06 EDT
bash-4.4.12-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.